package adminseedhandler

import (
	"git.gocasts.ir/ebhomengo/niki/delivery/http_server/middleware"
	echo "github.com/labstack/echo/v4"
)

func (h Handler) SetRoutes(e *echo.Echo) {
	r := e.Group("/admins/seed")

	r.Use(middleware.Auth(h.authSvc), middleware.TokenSeed(h.authSvc))

	r.POST("", h.Call)
}
